# Pre-match Odds

Enrich your application with betting functionalities. The odds endpoints can be used for Pre-match Odds, we do have an endpoint for In-Play Odds (live) as well.

Use one of our 5 odds endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET All Odds:** returns all the pre-match odds.
* **GET Odds by Fixture ID:** returns the pre-match odds from your requested fixture ID.
* **GET Odds by Fixture ID and Bookmaker ID:** returns the pre-match odds filtered on Bookmaker ID from your requested fixture ID.
* **GET Odds by Fixture ID and Market ID:** returns the pre-match odds filtered on Market ID from your requested fixture ID.
* **GET Last Updated Pre-match Odds:** returns the last updated pre-match odds.

#### Include options

[`fixture`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/9zsNGu3HAzSnl5DWBD3Y/) [`market`](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/market) [`bookmaker`](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/bookmaker)

#### Related entities

[Odd](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/odd)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/pre-match-odds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
